<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Сообщества - категории'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
if (user_access('comm_edit') && isset($user) && isset($_GET['act']) && $_GET['act']=='rename' && isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_category` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){
	$id = intval($_GET['id']);
	if (isset($_POST['name']) && isset($_POST['save']))
	{
	$cat = my_esc($_POST['name']);
	if (strlen2($cat)>25){ $err[] = "Название содержит более 25 символов"; }

	if (strlen2($cat)<3){ $err[] = "Название содержит менее 3 символов"; }
	$mat = antimat($cat);
	if ($mat)$err[] = "В названии категории обнаружен мат: $mat";
	err();
	if (!isset($err)){
		mysql_query("UPDATE `comm_category` SET `name` = '$cat' WHERE `id` = '$id'");
		$_SESSION['message'] = 'Категория успешно сохранена';
		header("Location: ?");
		exit;
	}
	}
	$cat = mysql_fetch_array(mysql_query("SELECT * FROM `comm_category` WHERE `id` = '$id'"));	
	echo "<form method=\"post\" name='cat' action=\"?act=rename&id=$id\" class=\"mess\">";
	echo "Название категории:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='25' value='".text($cat['name'])."' /><br />\n";
	echo "<input name=\"save\" value=\"Сохранить\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
if (user_access('comm_edit') && isset($user) && isset($_GET['act']) && $_GET['act']=='delete' && isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_category` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){
	$id = intval($_GET['id']);
	if (isset($_POST['delete']))
	{
		mysql_query("DELETE FROM `comm_category` WHERE `id` = '$id'");
		$_SESSION['message'] = 'Категория успешно удалена';
		header("Location: ?");
		exit;
	}
	$cat = mysql_fetch_array(mysql_query("SELECT * FROM `comm_category` WHERE `id` = '$id'"));	
	echo "<form method=\"post\" name='cat' action=\"?act=delete&id=$id\" class=\"mess\">";
	echo "Вы действительно хотите удалить категорию ".text($cat['name'])."?<br />\n";
	echo "<input name=\"delete\" value=\"Удалить\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
if (user_access('comm_edit') && isset($user) && isset($_GET['act']) && $_GET['act']=='create'){
	if (isset($_POST['name']) && isset($_POST['create']))
	{
	$cat = my_esc($_POST['name']);
	if (strlen2($cat)>25){ $err[] = 'Название содержит более 25 символов'; }

	if (strlen2($cat)<3){ $err[] = 'Название содержит менее 3 символов'; }
	$mat = antimat($cat);
	if ($mat)$err[] = 'В названии категории обнаружен мат: '.$mat;
	err();
	if (!isset($err)){
		mysql_query("INSERT INTO `comm_category` (`name`) values('$cat')");
		$_SESSION['message'] = 'Категория успешно создана';
		header("Location: ?");
		exit;
	}
	}
	echo "<form method=\"post\" name='cat' action=\"?act=create\" class=\"mess\">";
	echo "Название категории:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='25' value='' /><br />\n";
	echo "<input name=\"create\" value=\"Создать\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_category`"), 0);
$q = mysql_query("SELECT * FROM `comm_category` ORDER BY `id` ASC");
if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Нет категорий';
	echo '</div>';
}
while ($cat = mysql_fetch_assoc($q))
{	
	$id = intval($cat['id']);
	if ($num==0){
		echo '<div class="nav1">';
		$num=1;
	}elseif ($num==1){
		echo '<div class="nav2">';
		$num=0;
	}
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id_category` = '".intval($id)."'"),0);
	$n_count = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id_category` = '".intval($id)."' AND `time` > '$ftime'"),0);
	if ($n_count==0)$n_count=NULL;
	else $n_count='+'.$n_count;
	echo '<img src="/style/themes/'.$set['set_them'].'/loads/14/dir.png" alt="" /> <a href="cat.php?id='.$id.'">'.text($cat['name']).'</a> ('.$count.') <font color="red">'.$n_count.'</font>';
	if (user_access('comm_edit') && isset($user))echo' <a href="?act=rename&id='.$id.'"><img src="/style/icons/edit.gif" alt="edit"/></a><a href="?act=delete&id='.$id.'"><img src="/style/icons/delete.gif" alt="edit"/></a>';
	
	echo'</div>';
}
if (user_access('comm_edit') && isset($user))echo "<div class='foot'><img src='/style/icons/str.gif' alt=''/> <a href='?act=create'>Создать категорию</a></div>";
include_once '../sys/inc/tfoot.php';
?>